/*
 * Created on 05.02.2004
 *
 * Create the help menu for the Gui Plugin.
 *
 */
package de.renew.gui.menu;

import java.util.ArrayList;
import java.util.Collection;
import javax.swing.JMenuItem;

import de.renew.draw.ui.api.MenuApi;
import de.renew.gui.GuiPlugin;


/**
 * @author 6schumac
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class HelpMenuCreator {
    public Collection<JMenuItem> createMenus() {
        Collection<JMenuItem> result = new ArrayList<>();
        result.add(
            MenuApi.createMenuItem(
                "About...", () -> GuiPlugin.getCurrent().createAboutBox().setVisible(true)));
        return result;
    }
}